//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha1

import (
	unsafe "unsafe"

	unversioned "github.com/open-policy-agent/gatekeeper/apis/mutations/unversioned"
	v1beta1 "github.com/open-policy-agent/gatekeeper/apis/status/v1beta1"
	match "github.com/open-policy-agent/gatekeeper/pkg/mutation/match"
	tester "github.com/open-policy-agent/gatekeeper/pkg/mutation/path/tester"
	types "github.com/open-policy-agent/gatekeeper/pkg/mutation/types"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*Assign)(nil), (*unversioned.Assign)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Assign_To_unversioned_Assign(a.(*Assign), b.(*unversioned.Assign), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.Assign)(nil), (*Assign)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_Assign_To_v1alpha1_Assign(a.(*unversioned.Assign), b.(*Assign), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignField)(nil), (*unversioned.AssignField)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignField_To_unversioned_AssignField(a.(*AssignField), b.(*unversioned.AssignField), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignField)(nil), (*AssignField)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignField_To_v1alpha1_AssignField(a.(*unversioned.AssignField), b.(*AssignField), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignList)(nil), (*unversioned.AssignList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignList_To_unversioned_AssignList(a.(*AssignList), b.(*unversioned.AssignList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignList)(nil), (*AssignList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignList_To_v1alpha1_AssignList(a.(*unversioned.AssignList), b.(*AssignList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignMetadata)(nil), (*unversioned.AssignMetadata)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignMetadata_To_unversioned_AssignMetadata(a.(*AssignMetadata), b.(*unversioned.AssignMetadata), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignMetadata)(nil), (*AssignMetadata)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignMetadata_To_v1alpha1_AssignMetadata(a.(*unversioned.AssignMetadata), b.(*AssignMetadata), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignMetadataList)(nil), (*unversioned.AssignMetadataList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignMetadataList_To_unversioned_AssignMetadataList(a.(*AssignMetadataList), b.(*unversioned.AssignMetadataList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignMetadataList)(nil), (*AssignMetadataList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignMetadataList_To_v1alpha1_AssignMetadataList(a.(*unversioned.AssignMetadataList), b.(*AssignMetadataList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignMetadataSpec)(nil), (*unversioned.AssignMetadataSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec(a.(*AssignMetadataSpec), b.(*unversioned.AssignMetadataSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignMetadataSpec)(nil), (*AssignMetadataSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec(a.(*unversioned.AssignMetadataSpec), b.(*AssignMetadataSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignMetadataStatus)(nil), (*unversioned.AssignMetadataStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus(a.(*AssignMetadataStatus), b.(*unversioned.AssignMetadataStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignMetadataStatus)(nil), (*AssignMetadataStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus(a.(*unversioned.AssignMetadataStatus), b.(*AssignMetadataStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignSpec)(nil), (*unversioned.AssignSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignSpec_To_unversioned_AssignSpec(a.(*AssignSpec), b.(*unversioned.AssignSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignSpec)(nil), (*AssignSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignSpec_To_v1alpha1_AssignSpec(a.(*unversioned.AssignSpec), b.(*AssignSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssignStatus)(nil), (*unversioned.AssignStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_AssignStatus_To_unversioned_AssignStatus(a.(*AssignStatus), b.(*unversioned.AssignStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.AssignStatus)(nil), (*AssignStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_AssignStatus_To_v1alpha1_AssignStatus(a.(*unversioned.AssignStatus), b.(*AssignStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FromMetadata)(nil), (*unversioned.FromMetadata)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FromMetadata_To_unversioned_FromMetadata(a.(*FromMetadata), b.(*unversioned.FromMetadata), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.FromMetadata)(nil), (*FromMetadata)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_FromMetadata_To_v1alpha1_FromMetadata(a.(*unversioned.FromMetadata), b.(*FromMetadata), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MetadataParameters)(nil), (*unversioned.MetadataParameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters(a.(*MetadataParameters), b.(*unversioned.MetadataParameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.MetadataParameters)(nil), (*MetadataParameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters(a.(*unversioned.MetadataParameters), b.(*MetadataParameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ModifySet)(nil), (*unversioned.ModifySet)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ModifySet_To_unversioned_ModifySet(a.(*ModifySet), b.(*unversioned.ModifySet), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.ModifySet)(nil), (*ModifySet)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_ModifySet_To_v1alpha1_ModifySet(a.(*unversioned.ModifySet), b.(*ModifySet), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ModifySetList)(nil), (*unversioned.ModifySetList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ModifySetList_To_unversioned_ModifySetList(a.(*ModifySetList), b.(*unversioned.ModifySetList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.ModifySetList)(nil), (*ModifySetList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_ModifySetList_To_v1alpha1_ModifySetList(a.(*unversioned.ModifySetList), b.(*ModifySetList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ModifySetParameters)(nil), (*unversioned.ModifySetParameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters(a.(*ModifySetParameters), b.(*unversioned.ModifySetParameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.ModifySetParameters)(nil), (*ModifySetParameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters(a.(*unversioned.ModifySetParameters), b.(*ModifySetParameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ModifySetSpec)(nil), (*unversioned.ModifySetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec(a.(*ModifySetSpec), b.(*unversioned.ModifySetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.ModifySetSpec)(nil), (*ModifySetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec(a.(*unversioned.ModifySetSpec), b.(*ModifySetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ModifySetStatus)(nil), (*unversioned.ModifySetStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus(a.(*ModifySetStatus), b.(*unversioned.ModifySetStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.ModifySetStatus)(nil), (*ModifySetStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus(a.(*unversioned.ModifySetStatus), b.(*ModifySetStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Parameters)(nil), (*unversioned.Parameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Parameters_To_unversioned_Parameters(a.(*Parameters), b.(*unversioned.Parameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.Parameters)(nil), (*Parameters)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_Parameters_To_v1alpha1_Parameters(a.(*unversioned.Parameters), b.(*Parameters), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PathTest)(nil), (*unversioned.PathTest)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PathTest_To_unversioned_PathTest(a.(*PathTest), b.(*unversioned.PathTest), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.PathTest)(nil), (*PathTest)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_PathTest_To_v1alpha1_PathTest(a.(*unversioned.PathTest), b.(*PathTest), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Values)(nil), (*unversioned.Values)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Values_To_unversioned_Values(a.(*Values), b.(*unversioned.Values), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*unversioned.Values)(nil), (*Values)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_unversioned_Values_To_v1alpha1_Values(a.(*unversioned.Values), b.(*Values), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha1_Assign_To_unversioned_Assign(in *Assign, out *unversioned.Assign, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_AssignSpec_To_unversioned_AssignSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_AssignStatus_To_unversioned_AssignStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Assign_To_unversioned_Assign is an autogenerated conversion function.
func Convert_v1alpha1_Assign_To_unversioned_Assign(in *Assign, out *unversioned.Assign, s conversion.Scope) error {
	return autoConvert_v1alpha1_Assign_To_unversioned_Assign(in, out, s)
}

func autoConvert_unversioned_Assign_To_v1alpha1_Assign(in *unversioned.Assign, out *Assign, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_unversioned_AssignSpec_To_v1alpha1_AssignSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_unversioned_AssignStatus_To_v1alpha1_AssignStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_Assign_To_v1alpha1_Assign is an autogenerated conversion function.
func Convert_unversioned_Assign_To_v1alpha1_Assign(in *unversioned.Assign, out *Assign, s conversion.Scope) error {
	return autoConvert_unversioned_Assign_To_v1alpha1_Assign(in, out, s)
}

func autoConvert_v1alpha1_AssignField_To_unversioned_AssignField(in *AssignField, out *unversioned.AssignField, s conversion.Scope) error {
	out.Value = (*types.Anything)(unsafe.Pointer(in.Value))
	out.FromMetadata = (*unversioned.FromMetadata)(unsafe.Pointer(in.FromMetadata))
	return nil
}

// Convert_v1alpha1_AssignField_To_unversioned_AssignField is an autogenerated conversion function.
func Convert_v1alpha1_AssignField_To_unversioned_AssignField(in *AssignField, out *unversioned.AssignField, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignField_To_unversioned_AssignField(in, out, s)
}

func autoConvert_unversioned_AssignField_To_v1alpha1_AssignField(in *unversioned.AssignField, out *AssignField, s conversion.Scope) error {
	out.Value = (*types.Anything)(unsafe.Pointer(in.Value))
	out.FromMetadata = (*FromMetadata)(unsafe.Pointer(in.FromMetadata))
	return nil
}

// Convert_unversioned_AssignField_To_v1alpha1_AssignField is an autogenerated conversion function.
func Convert_unversioned_AssignField_To_v1alpha1_AssignField(in *unversioned.AssignField, out *AssignField, s conversion.Scope) error {
	return autoConvert_unversioned_AssignField_To_v1alpha1_AssignField(in, out, s)
}

func autoConvert_v1alpha1_AssignList_To_unversioned_AssignList(in *AssignList, out *unversioned.AssignList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]unversioned.Assign)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_AssignList_To_unversioned_AssignList is an autogenerated conversion function.
func Convert_v1alpha1_AssignList_To_unversioned_AssignList(in *AssignList, out *unversioned.AssignList, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignList_To_unversioned_AssignList(in, out, s)
}

func autoConvert_unversioned_AssignList_To_v1alpha1_AssignList(in *unversioned.AssignList, out *AssignList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]Assign)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_unversioned_AssignList_To_v1alpha1_AssignList is an autogenerated conversion function.
func Convert_unversioned_AssignList_To_v1alpha1_AssignList(in *unversioned.AssignList, out *AssignList, s conversion.Scope) error {
	return autoConvert_unversioned_AssignList_To_v1alpha1_AssignList(in, out, s)
}

func autoConvert_v1alpha1_AssignMetadata_To_unversioned_AssignMetadata(in *AssignMetadata, out *unversioned.AssignMetadata, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_AssignMetadata_To_unversioned_AssignMetadata is an autogenerated conversion function.
func Convert_v1alpha1_AssignMetadata_To_unversioned_AssignMetadata(in *AssignMetadata, out *unversioned.AssignMetadata, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignMetadata_To_unversioned_AssignMetadata(in, out, s)
}

func autoConvert_unversioned_AssignMetadata_To_v1alpha1_AssignMetadata(in *unversioned.AssignMetadata, out *AssignMetadata, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_AssignMetadata_To_v1alpha1_AssignMetadata is an autogenerated conversion function.
func Convert_unversioned_AssignMetadata_To_v1alpha1_AssignMetadata(in *unversioned.AssignMetadata, out *AssignMetadata, s conversion.Scope) error {
	return autoConvert_unversioned_AssignMetadata_To_v1alpha1_AssignMetadata(in, out, s)
}

func autoConvert_v1alpha1_AssignMetadataList_To_unversioned_AssignMetadataList(in *AssignMetadataList, out *unversioned.AssignMetadataList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]unversioned.AssignMetadata)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_AssignMetadataList_To_unversioned_AssignMetadataList is an autogenerated conversion function.
func Convert_v1alpha1_AssignMetadataList_To_unversioned_AssignMetadataList(in *AssignMetadataList, out *unversioned.AssignMetadataList, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignMetadataList_To_unversioned_AssignMetadataList(in, out, s)
}

func autoConvert_unversioned_AssignMetadataList_To_v1alpha1_AssignMetadataList(in *unversioned.AssignMetadataList, out *AssignMetadataList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]AssignMetadata)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_unversioned_AssignMetadataList_To_v1alpha1_AssignMetadataList is an autogenerated conversion function.
func Convert_unversioned_AssignMetadataList_To_v1alpha1_AssignMetadataList(in *unversioned.AssignMetadataList, out *AssignMetadataList, s conversion.Scope) error {
	return autoConvert_unversioned_AssignMetadataList_To_v1alpha1_AssignMetadataList(in, out, s)
}

func autoConvert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec(in *AssignMetadataSpec, out *unversioned.AssignMetadataSpec, s conversion.Scope) error {
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec is an autogenerated conversion function.
func Convert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec(in *AssignMetadataSpec, out *unversioned.AssignMetadataSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignMetadataSpec_To_unversioned_AssignMetadataSpec(in, out, s)
}

func autoConvert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec(in *unversioned.AssignMetadataSpec, out *AssignMetadataSpec, s conversion.Scope) error {
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec is an autogenerated conversion function.
func Convert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec(in *unversioned.AssignMetadataSpec, out *AssignMetadataSpec, s conversion.Scope) error {
	return autoConvert_unversioned_AssignMetadataSpec_To_v1alpha1_AssignMetadataSpec(in, out, s)
}

func autoConvert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus(in *AssignMetadataStatus, out *unversioned.AssignMetadataStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus is an autogenerated conversion function.
func Convert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus(in *AssignMetadataStatus, out *unversioned.AssignMetadataStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignMetadataStatus_To_unversioned_AssignMetadataStatus(in, out, s)
}

func autoConvert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus(in *unversioned.AssignMetadataStatus, out *AssignMetadataStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus is an autogenerated conversion function.
func Convert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus(in *unversioned.AssignMetadataStatus, out *AssignMetadataStatus, s conversion.Scope) error {
	return autoConvert_unversioned_AssignMetadataStatus_To_v1alpha1_AssignMetadataStatus(in, out, s)
}

func autoConvert_v1alpha1_AssignSpec_To_unversioned_AssignSpec(in *AssignSpec, out *unversioned.AssignSpec, s conversion.Scope) error {
	out.ApplyTo = *(*[]match.ApplyTo)(unsafe.Pointer(&in.ApplyTo))
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_v1alpha1_Parameters_To_unversioned_Parameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_AssignSpec_To_unversioned_AssignSpec is an autogenerated conversion function.
func Convert_v1alpha1_AssignSpec_To_unversioned_AssignSpec(in *AssignSpec, out *unversioned.AssignSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignSpec_To_unversioned_AssignSpec(in, out, s)
}

func autoConvert_unversioned_AssignSpec_To_v1alpha1_AssignSpec(in *unversioned.AssignSpec, out *AssignSpec, s conversion.Scope) error {
	out.ApplyTo = *(*[]match.ApplyTo)(unsafe.Pointer(&in.ApplyTo))
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_unversioned_Parameters_To_v1alpha1_Parameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_AssignSpec_To_v1alpha1_AssignSpec is an autogenerated conversion function.
func Convert_unversioned_AssignSpec_To_v1alpha1_AssignSpec(in *unversioned.AssignSpec, out *AssignSpec, s conversion.Scope) error {
	return autoConvert_unversioned_AssignSpec_To_v1alpha1_AssignSpec(in, out, s)
}

func autoConvert_v1alpha1_AssignStatus_To_unversioned_AssignStatus(in *AssignStatus, out *unversioned.AssignStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_v1alpha1_AssignStatus_To_unversioned_AssignStatus is an autogenerated conversion function.
func Convert_v1alpha1_AssignStatus_To_unversioned_AssignStatus(in *AssignStatus, out *unversioned.AssignStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_AssignStatus_To_unversioned_AssignStatus(in, out, s)
}

func autoConvert_unversioned_AssignStatus_To_v1alpha1_AssignStatus(in *unversioned.AssignStatus, out *AssignStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_unversioned_AssignStatus_To_v1alpha1_AssignStatus is an autogenerated conversion function.
func Convert_unversioned_AssignStatus_To_v1alpha1_AssignStatus(in *unversioned.AssignStatus, out *AssignStatus, s conversion.Scope) error {
	return autoConvert_unversioned_AssignStatus_To_v1alpha1_AssignStatus(in, out, s)
}

func autoConvert_v1alpha1_FromMetadata_To_unversioned_FromMetadata(in *FromMetadata, out *unversioned.FromMetadata, s conversion.Scope) error {
	out.Field = unversioned.Field(in.Field)
	return nil
}

// Convert_v1alpha1_FromMetadata_To_unversioned_FromMetadata is an autogenerated conversion function.
func Convert_v1alpha1_FromMetadata_To_unversioned_FromMetadata(in *FromMetadata, out *unversioned.FromMetadata, s conversion.Scope) error {
	return autoConvert_v1alpha1_FromMetadata_To_unversioned_FromMetadata(in, out, s)
}

func autoConvert_unversioned_FromMetadata_To_v1alpha1_FromMetadata(in *unversioned.FromMetadata, out *FromMetadata, s conversion.Scope) error {
	out.Field = unversioned.Field(in.Field)
	return nil
}

// Convert_unversioned_FromMetadata_To_v1alpha1_FromMetadata is an autogenerated conversion function.
func Convert_unversioned_FromMetadata_To_v1alpha1_FromMetadata(in *unversioned.FromMetadata, out *FromMetadata, s conversion.Scope) error {
	return autoConvert_unversioned_FromMetadata_To_v1alpha1_FromMetadata(in, out, s)
}

func autoConvert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters(in *MetadataParameters, out *unversioned.MetadataParameters, s conversion.Scope) error {
	if err := Convert_v1alpha1_AssignField_To_unversioned_AssignField(&in.Assign, &out.Assign, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters is an autogenerated conversion function.
func Convert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters(in *MetadataParameters, out *unversioned.MetadataParameters, s conversion.Scope) error {
	return autoConvert_v1alpha1_MetadataParameters_To_unversioned_MetadataParameters(in, out, s)
}

func autoConvert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters(in *unversioned.MetadataParameters, out *MetadataParameters, s conversion.Scope) error {
	if err := Convert_unversioned_AssignField_To_v1alpha1_AssignField(&in.Assign, &out.Assign, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters is an autogenerated conversion function.
func Convert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters(in *unversioned.MetadataParameters, out *MetadataParameters, s conversion.Scope) error {
	return autoConvert_unversioned_MetadataParameters_To_v1alpha1_MetadataParameters(in, out, s)
}

func autoConvert_v1alpha1_ModifySet_To_unversioned_ModifySet(in *ModifySet, out *unversioned.ModifySet, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_ModifySet_To_unversioned_ModifySet is an autogenerated conversion function.
func Convert_v1alpha1_ModifySet_To_unversioned_ModifySet(in *ModifySet, out *unversioned.ModifySet, s conversion.Scope) error {
	return autoConvert_v1alpha1_ModifySet_To_unversioned_ModifySet(in, out, s)
}

func autoConvert_unversioned_ModifySet_To_v1alpha1_ModifySet(in *unversioned.ModifySet, out *ModifySet, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_ModifySet_To_v1alpha1_ModifySet is an autogenerated conversion function.
func Convert_unversioned_ModifySet_To_v1alpha1_ModifySet(in *unversioned.ModifySet, out *ModifySet, s conversion.Scope) error {
	return autoConvert_unversioned_ModifySet_To_v1alpha1_ModifySet(in, out, s)
}

func autoConvert_v1alpha1_ModifySetList_To_unversioned_ModifySetList(in *ModifySetList, out *unversioned.ModifySetList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]unversioned.ModifySet)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_ModifySetList_To_unversioned_ModifySetList is an autogenerated conversion function.
func Convert_v1alpha1_ModifySetList_To_unversioned_ModifySetList(in *ModifySetList, out *unversioned.ModifySetList, s conversion.Scope) error {
	return autoConvert_v1alpha1_ModifySetList_To_unversioned_ModifySetList(in, out, s)
}

func autoConvert_unversioned_ModifySetList_To_v1alpha1_ModifySetList(in *unversioned.ModifySetList, out *ModifySetList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]ModifySet)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_unversioned_ModifySetList_To_v1alpha1_ModifySetList is an autogenerated conversion function.
func Convert_unversioned_ModifySetList_To_v1alpha1_ModifySetList(in *unversioned.ModifySetList, out *ModifySetList, s conversion.Scope) error {
	return autoConvert_unversioned_ModifySetList_To_v1alpha1_ModifySetList(in, out, s)
}

func autoConvert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters(in *ModifySetParameters, out *unversioned.ModifySetParameters, s conversion.Scope) error {
	out.PathTests = *(*[]unversioned.PathTest)(unsafe.Pointer(&in.PathTests))
	out.Operation = unversioned.Operation(in.Operation)
	if err := Convert_v1alpha1_Values_To_unversioned_Values(&in.Values, &out.Values, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters is an autogenerated conversion function.
func Convert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters(in *ModifySetParameters, out *unversioned.ModifySetParameters, s conversion.Scope) error {
	return autoConvert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters(in, out, s)
}

func autoConvert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters(in *unversioned.ModifySetParameters, out *ModifySetParameters, s conversion.Scope) error {
	out.PathTests = *(*[]PathTest)(unsafe.Pointer(&in.PathTests))
	out.Operation = Operation(in.Operation)
	if err := Convert_unversioned_Values_To_v1alpha1_Values(&in.Values, &out.Values, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters is an autogenerated conversion function.
func Convert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters(in *unversioned.ModifySetParameters, out *ModifySetParameters, s conversion.Scope) error {
	return autoConvert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters(in, out, s)
}

func autoConvert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec(in *ModifySetSpec, out *unversioned.ModifySetSpec, s conversion.Scope) error {
	out.ApplyTo = *(*[]match.ApplyTo)(unsafe.Pointer(&in.ApplyTo))
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_v1alpha1_ModifySetParameters_To_unversioned_ModifySetParameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec is an autogenerated conversion function.
func Convert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec(in *ModifySetSpec, out *unversioned.ModifySetSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_ModifySetSpec_To_unversioned_ModifySetSpec(in, out, s)
}

func autoConvert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec(in *unversioned.ModifySetSpec, out *ModifySetSpec, s conversion.Scope) error {
	out.ApplyTo = *(*[]match.ApplyTo)(unsafe.Pointer(&in.ApplyTo))
	out.Match = in.Match
	out.Location = in.Location
	if err := Convert_unversioned_ModifySetParameters_To_v1alpha1_ModifySetParameters(&in.Parameters, &out.Parameters, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec is an autogenerated conversion function.
func Convert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec(in *unversioned.ModifySetSpec, out *ModifySetSpec, s conversion.Scope) error {
	return autoConvert_unversioned_ModifySetSpec_To_v1alpha1_ModifySetSpec(in, out, s)
}

func autoConvert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus(in *ModifySetStatus, out *unversioned.ModifySetStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus is an autogenerated conversion function.
func Convert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus(in *ModifySetStatus, out *unversioned.ModifySetStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_ModifySetStatus_To_unversioned_ModifySetStatus(in, out, s)
}

func autoConvert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus(in *unversioned.ModifySetStatus, out *ModifySetStatus, s conversion.Scope) error {
	out.ByPod = *(*[]v1beta1.MutatorPodStatusStatus)(unsafe.Pointer(&in.ByPod))
	return nil
}

// Convert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus is an autogenerated conversion function.
func Convert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus(in *unversioned.ModifySetStatus, out *ModifySetStatus, s conversion.Scope) error {
	return autoConvert_unversioned_ModifySetStatus_To_v1alpha1_ModifySetStatus(in, out, s)
}

func autoConvert_v1alpha1_Parameters_To_unversioned_Parameters(in *Parameters, out *unversioned.Parameters, s conversion.Scope) error {
	out.PathTests = *(*[]unversioned.PathTest)(unsafe.Pointer(&in.PathTests))
	if err := Convert_v1alpha1_AssignField_To_unversioned_AssignField(&in.Assign, &out.Assign, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Parameters_To_unversioned_Parameters is an autogenerated conversion function.
func Convert_v1alpha1_Parameters_To_unversioned_Parameters(in *Parameters, out *unversioned.Parameters, s conversion.Scope) error {
	return autoConvert_v1alpha1_Parameters_To_unversioned_Parameters(in, out, s)
}

func autoConvert_unversioned_Parameters_To_v1alpha1_Parameters(in *unversioned.Parameters, out *Parameters, s conversion.Scope) error {
	out.PathTests = *(*[]PathTest)(unsafe.Pointer(&in.PathTests))
	if err := Convert_unversioned_AssignField_To_v1alpha1_AssignField(&in.Assign, &out.Assign, s); err != nil {
		return err
	}
	return nil
}

// Convert_unversioned_Parameters_To_v1alpha1_Parameters is an autogenerated conversion function.
func Convert_unversioned_Parameters_To_v1alpha1_Parameters(in *unversioned.Parameters, out *Parameters, s conversion.Scope) error {
	return autoConvert_unversioned_Parameters_To_v1alpha1_Parameters(in, out, s)
}

func autoConvert_v1alpha1_PathTest_To_unversioned_PathTest(in *PathTest, out *unversioned.PathTest, s conversion.Scope) error {
	out.SubPath = in.SubPath
	out.Condition = tester.Condition(in.Condition)
	return nil
}

// Convert_v1alpha1_PathTest_To_unversioned_PathTest is an autogenerated conversion function.
func Convert_v1alpha1_PathTest_To_unversioned_PathTest(in *PathTest, out *unversioned.PathTest, s conversion.Scope) error {
	return autoConvert_v1alpha1_PathTest_To_unversioned_PathTest(in, out, s)
}

func autoConvert_unversioned_PathTest_To_v1alpha1_PathTest(in *unversioned.PathTest, out *PathTest, s conversion.Scope) error {
	out.SubPath = in.SubPath
	out.Condition = tester.Condition(in.Condition)
	return nil
}

// Convert_unversioned_PathTest_To_v1alpha1_PathTest is an autogenerated conversion function.
func Convert_unversioned_PathTest_To_v1alpha1_PathTest(in *unversioned.PathTest, out *PathTest, s conversion.Scope) error {
	return autoConvert_unversioned_PathTest_To_v1alpha1_PathTest(in, out, s)
}

func autoConvert_v1alpha1_Values_To_unversioned_Values(in *Values, out *unversioned.Values, s conversion.Scope) error {
	out.FromList = *(*[]interface{})(unsafe.Pointer(&in.FromList))
	return nil
}

// Convert_v1alpha1_Values_To_unversioned_Values is an autogenerated conversion function.
func Convert_v1alpha1_Values_To_unversioned_Values(in *Values, out *unversioned.Values, s conversion.Scope) error {
	return autoConvert_v1alpha1_Values_To_unversioned_Values(in, out, s)
}

func autoConvert_unversioned_Values_To_v1alpha1_Values(in *unversioned.Values, out *Values, s conversion.Scope) error {
	out.FromList = *(*[]interface{})(unsafe.Pointer(&in.FromList))
	return nil
}

// Convert_unversioned_Values_To_v1alpha1_Values is an autogenerated conversion function.
func Convert_unversioned_Values_To_v1alpha1_Values(in *unversioned.Values, out *Values, s conversion.Scope) error {
	return autoConvert_unversioned_Values_To_v1alpha1_Values(in, out, s)
}
